Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalRadioButtonUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ButtonUI
                  |
                  +--javax.swing.plaf.basic.BasicButtonUI
                        |
                        +--javax.swing.plaf.basic.BasicToggleButtonUI
                              |
                              +--javax.swing.plaf.basic.BasicRadioButtonUI
                                    |
                                    +--javax.swing.plaf.metal.MetalRadioButtonUI

Direct Known Subclasses:
  MetalCheckBoxUI

public class MetalRadioButtonUI
extends BasicRadioButtonUI

RadioButtonUI implementation for MetalRadioButtonUI

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

Field Summary
`protected java.awt.Color` | `disabledTextColor`
`protected java.awt.Color` | `focusColor`
`protected java.awt.Color` | `selectColor`

Fields inherited from class javax.swing.plaf.basic.BasicRadioButtonUI
`icon`

Fields inherited from class javax.swing.plaf.basic.BasicButtonUI
`defaultTextIconGap, defaultTextShiftOffset`

Constructor Summary
`MetalRadioButtonUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent c)`
`protected java.awt.Color` | `getDisabledTextColor()`
`protected java.awt.Color` | `getFocusColor()`
`protected java.awt.Color` | `getSelectColor()`
`void` | `installDefaults(AbstractButton b)`
`void` | `paint(java.awt.Graphics g, JComponent c)`
`protected void` | `paintFocus(java.awt.Graphics g, java.awt.Rectangle t, java.awt.Dimension d)`
`protected void` | `uninstallDefaults(AbstractButton b)`

Methods inherited from class javax.swing.plaf.basic.BasicRadioButtonUI
`getDefaultIcon, getPreferredSize, getPropertyPrefix`

Methods inherited from class javax.swing.plaf.basic.BasicToggleButtonUI
`paintButtonPressed, paintFocus, paintIcon, paintText`

Methods inherited from class javax.swing.plaf.basic.BasicButtonUI
`clearTextShiftOffset, createButtonListener, getDefaultTextIconGap, getMaximumSize, getMinimumSize, getTextShiftOffset, installKeyboardActions, installListeners, installUI, paintIcon, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### focusColor

    protected java.awt.Color focusColor

### selectColor

    protected java.awt.Color selectColor

### disabledTextColor

    protected java.awt.Color disabledTextColor

Constructor Detail

### MetalRadioButtonUI

    public MetalRadioButtonUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### installDefaults

    public void installDefaults(AbstractButton b)

  Overrides:
    installDefaults in class BasicRadioButtonUI

### uninstallDefaults

    protected void uninstallDefaults(AbstractButton b)

  Overrides:
    uninstallDefaults in class BasicRadioButtonUI

### getSelectColor

    protected java.awt.Color getSelectColor()

### getDisabledTextColor

    protected java.awt.Color getDisabledTextColor()

### getFocusColor

    protected java.awt.Color getFocusColor()

### paint

    public void paint(java.awt.Graphics g,
                      JComponent c)

  Overrides:
    paint in class BasicRadioButtonUI

### paintFocus

    protected void paintFocus(java.awt.Graphics g,
                              java.awt.Rectangle t,
                              java.awt.Dimension d)

  Overrides:
    paintFocus in class BasicRadioButtonUI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.